﻿Hooks:PostHook(CharacterTweakData, "init", "benelli_init", function(self, tweak_data)
	self.tank_mini.weapon.is_shotgun_pump = deep_clone(self.tank.weapon.is_shotgun_pump)
	self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
		{
			dmg_mul = 7,
			r = 100,
			acc = { 0.6, 0.9 },
			recoil = { 0.3, 0.6 },
			mode = { 0, 3, 3, 1 }
		},
		{
			dmg_mul = 6.5,
			r = 500,
			acc = { 0.6, 0.9 },
			recoil = { 0.3, 0.6 },
			mode = { 0, 3, 3, 1 }
		},
		{
			dmg_mul = 6,
			r = 1000,
			acc = { 0.4, 0.8 },
			recoil = { 0.4, 0.7 },
			mode = { 1, 2, 2, 0 }
		},
		{
			dmg_mul = 5.5,
			r = 2000,
			acc = { 0.4, 0.55 },
			recoil = { 0.4, 0.7 },
			mode = { 3, 2, 2, 0 }
		},
		{
			dmg_mul = 5,
			r = 3000,
			acc = { 0.1, 0.35 },
			recoil = { 0.5, 0.8 },
			mode = { 3, 1, 1, 0 }
		}
	}
end)

--These are for SH
if StreamHeist then
--Normal
	Hooks:PostHook(CharacterTweakData, "_set_normal", "benelli_set_normal", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Hard
	Hooks:PostHook(CharacterTweakData, "_set_hard", "benelli_set_hard", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Very Hard
	Hooks:PostHook(CharacterTweakData, "_set_overkill", "benelli_set_overkill", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Overkill
	Hooks:PostHook(CharacterTweakData, "_set_overkill_145", "benelli_set_overkill_145", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Mayhem
	Hooks:PostHook(CharacterTweakData, "_set_easy_wish", "benelli_set_easy_wish", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Deathwish
	Hooks:PostHook(CharacterTweakData, "_set_overkill_290", "benelli_set_overkill_290", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
--Death Sentence
	Hooks:PostHook(CharacterTweakData, "_set_sm_wish", "benelli_set_sm_wish", function(self, tweak_data)
		self.tank_mini.weapon = deep_clone(self.tank.weapon)
		self.tank_mini.weapon.is_shotgun_pump.aim_delay = { 0.25, 0.25 }
		self.tank_mini.weapon.is_shotgun_pump.FALLOFF = {
			{
				dmg_mul = 30,
				r = 100,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 28,
				r = 500,
				acc = { 0.6, 0.9 },
				recoil = { 0.3, 0.6 },
				mode = { 0, 3, 3, 1 }
			},
			{
				dmg_mul = 26,
				r = 1000,
				acc = { 0.4, 0.8 },
				recoil = { 0.4, 0.7 },
				mode = { 1, 2, 2, 0 }
			},
			{
				dmg_mul = 24,
				r = 2000,
				acc = { 0.4, 0.55 },
				recoil = { 0.4, 0.7 },
				mode = { 3, 2, 2, 0 }
			},
			{
				dmg_mul = 22,
				r = 3000,
				acc = { 0.1, 0.35 },
				recoil = { 0.5, 0.8 },
				mode = { 3, 1, 1, 0 }
			}
		}
	end)
end