﻿local benelli_mapping = {
	[("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"):key()] = "benelli",
	[("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"):key()] = "benelli",
	[("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1"):key()] = "benelli",
	[("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_minigun/ene_swat_dozer_policia_federale_minigun"):key()] = "benelli"
}

Hooks:PreHook(CopBase, "post_init", "benelli_post_init", function(self)
	local benelli_swap = benelli_mapping[self._unit:name():key()]

	if benelli_swap then
		self._default_weapon_id = type(benelli_swap) == "table" and table.random(benelli_swap) or benelli_swap
	end
end)